# Create standalone invoices

Creates multiple standalone invoices for selling physical goods, services or other items on a non-recurring basis to your subscription customers.
To use this operation, you must have the **Modify Invoice** and at least one of the **Create Standalone Invoice With Product Catalog** or **Create Standalone Invoice Without Product Catalog** user permissions.
See Billing Roles for more information.
### Limitations
This operation has the following limitations:
* You can create a maximum of 50 invoices in one request.
* You can create a maximum of 1,000 invoice items in one request.

Endpoint: POST /v1/invoices/batch
Version: 2026-11-13
Security: bearerAuth

## Description:

  - `Limitations` ()
    This operation has the following limitations: * You can create a maximum of 50 invoices in one request.
* You can create a maximum of 1,000 invoice items in one request.

## Security:

  - `bearerAuth` (unknown)
    http bearer

## Header parameters:

  - `Idempotency-Key` (string)
    Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. 

With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.

  - `Accept-Encoding` (string)
    Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.
If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.

  - `Content-Encoding` (string)
    Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.
The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).

  - `Zuora-Entity-Ids` (string)
    An entity ID. If you have [Zuora Multi-entity](https://docs.zuora.com?resourceId=platform-multi-entity-overview) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

  - `Zuora-Org-Ids` (string)
    Comma separated IDs. If you have Zuora Multi-Org enabled,
you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.
The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.

  - `Zuora-Version` (string)
    The minor API version.
For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

## Request fields (application/json):

  - `invoices` (array)
    Container for standalone invoices.

  - `invoices.accountId` (string)
    The ID of the account associated with the invoice.
You must specify either `accountNumber` or `accountId` for a customer account. If both of them are specified, they must refer to the same customer account.

  - `invoices.accountNumber` (string)
    The Number of the account associated with the invoice.
You must specify either `accountNumber` or `accountId` for a customer account. If both of them are specified, they must refer to the same customer account.

  - `invoices.autoPay` (boolean)
    Whether invoices are automatically picked up for processing in the corresponding payment run.

  - `invoices.billToContact` (object)
    Container for bill-to, sold-to, or ship-to contact information. A new Contact will be created under the invoice owner account.
**Note**: If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body.

  - `invoices.billToContact.address1` (string)
    First address line, 255 characters or less.

  - `invoices.billToContact.address2` (string)
    Second address line, 255 characters or less.

  - `invoices.billToContact.city` (string)
    City, 40 characters or less.

  - `invoices.billToContact.country` (string)
    Country; must be a valid country name or abbreviation. If using Zuora Tax, you must specify a country in the ship-to or sold-to contact to calculate tax. A bill-to contact may be used if no ship-to or sold-to contact is provided.

  - `invoices.billToContact.county` (string)
    County; 32 characters or less. May optionally be used by Zuora Tax to calculate county tax.

  - `invoices.billToContact.fax` (string)
    Fax phone number, 40 characters or less.

  - `invoices.billToContact.firstName` (string, required)
    First name, 100 characters or less.

  - `invoices.billToContact.homePhone` (string)
    Home phone number, 40 characters or less.

  - `invoices.billToContact.lastName` (string, required)
    Last name, 100 characters or less.

  - `invoices.billToContact.mobilePhone` (string)
    Mobile phone number, 40 characters or less.

  - `invoices.billToContact.nickname` (string)
    Nickname for this contact

  - `invoices.billToContact.otherPhone` (string)
    Other phone number, 40 characters or less.

  - `invoices.billToContact.otherPhoneType` (string)
    Possible values are: `Work`, `Mobile`, `Home`, `Other`.

  - `invoices.billToContact.personalEmail` (string)
    Personal email address.

  - `invoices.billToContact.state` (string)
    State; must be a valid subregion (state or province) name or code.
For more information, see View subregions of a specific country or region.
If using Zuora Tax, be aware that Zuora Tax requires a
state (in the US) or province (in Canada) in this field for the
ship-to or sold-to contact to calculate tax, and that a bill-to contact may be
used if no ship-to or sold-to contact is provided.

  - `invoices.billToContact.taxRegion` (string)
    If using Zuora Tax, a region string as optionally defined in your tax rules. Not required.

  - `invoices.billToContact.workEmail` (string)
    Work email address, 80 characters or less.

  - `invoices.billToContact.workPhone` (string)
    Work phone number, 40 characters or less.

  - `invoices.billToContact.zipCode` (string)
    Zip code, 20 characters or less.

  - `invoices.billToContactId` (string)
    The ID of the bill-to contact associated with the invoice. This field is mutually exclusive with the `billToContact` field.
**Note**: If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body.

  - `invoices.comments` (string)
    Comments about the invoice.

  - `invoices.communicationProfileId` (string)
    The ID of the communication profile associated with the invoice.

  - `invoices.currency` (string)
    The code of a currency as defined in Billing Settings through the Zuora UI.
If you do not specify a currency during standalone invoice creation, the default account currency is applied. The currency that you specify in the request must be configured and activated in Billing Settings.
**Note**: This field is available only if you have the Multiple Currencies feature enabled.

  - `invoices.customRates` (array)
    It contains Home currency and Reporting currency custom rates currencies. The maximum number of items is 2 (you can pass the Home currency item or Reporting currency item or both).
**Note**:
- This field is available only if you are on the latest Zuora API minor version, or you set the `Zuora-Version` request header to `224.0` or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version).
- You cannot set the custom rates, if both the **Automatically include additional Currency Conversion information in data source exports** option and **Fx data** feature are enabled.
- Invoice, InvoiceItem, and TaxationItem will utilize the provided custom Fx rate to convert amounts from the transactional currency to the home currency.

  - `invoices.customRates.currency` (string, required)
    The currency code for either Reporting or Home currency.
**Note**: This field is available only if you are on the latest Zuora API minor version, or you set the `Zuora-Version` request header to `224.0` or later.

  - `invoices.customRates.customFxRate` (number, required)
    The Custom FX conversion rate between Home/Reporting and Transactional currency items.
**Note**: This field is available only if you are on the latest Zuora API minor version, or you set the `Zuora-Version` request header to `224.0` or later.

  - `invoices.customRates.rateDate` (string)
    The date on which a particular currency rate is fixed or obtained on.
**Note**: This field is available only if you are on the latest Zuora API minor version, or you set the `Zuora-Version` request header to `224.0` or later.

  - `invoices.dueDate` (string)
    The date by which the payment for this invoice is due, in `yyyy-mm-dd` format.

  - `invoices.invoiceDate` (string, required)
    The date that appears on the invoice being created, in `yyyy-mm-dd` format. The value cannot fall in a closed accounting period.

  - `invoices.invoiceItems` (array)
    Container for invoice items. The maximum number of invoice items is 1,000.
You must have corresponding billing permissions to create invoice items from existing product rate plan charges or new charges. For more information about billing permissions, see Billing Roles.
- To create an invoice item from an existing charge, you must have the **Create Standalone Invoice With Product Catalog** permission and specify the charge ID in the `productRatePlanChargeId` field.
- To create an invoice item from a new charge, you must have the **Create Standalone Invoice Without Product Catalog** permission without specifying the `productRatePlanChargeId` field.

**Note**: For the "Create a standalone invoice" and "Create standalone invoices" operations, note the following:
- If tax has been calculated by an external tax engine, you need to create a standalone invoice with both `invoiceItems` and `taxItems`. The `taxItems` corresponds to the tax information processed by this external tax engine. In this case, you should not specify the `taxMode` and `taxCode` nested fields of the `invoiceItems` field. Instead, you need to specify the `taxMode` and `taxCode` nested fields of the `taxItems` field. You need to specify the `taxMode` field as `TaxExclusive`.
- If tax has not been calculated by an external tax engine, you can create a standalone invoice only with `invoiceItems`, and decide whether Zuora includes the tax in the quoted charge price and invoice item by specifying the `taxMode` nested field of the `invoiceItems` field as either `TaxExclusive` or `TaxInclusive`. Meanwhile, you need to specify the `taxCode` field, indicating the charge price and invoice item are taxable.

  - `invoices.invoiceItems.accountingCode` (string)
    The accounting code associated with the invoice item.

  - `invoices.invoiceItems.accountsReceivableAccountingCode` (string)
    The accounting code for accounts receivable.

  - `invoices.invoiceItems.adjustmentLiabilityAccountingCode` (string)
    The accounting code for adjustment liability.
**Note**: This field is only available if you have the Billing - Revenue Integration feature enabled.

  - `invoices.invoiceItems.adjustmentRevenueAccountingCode` (string)
    The accounting code for adjustment revenue.
**Note**: This field is only available if you have the Billing - Revenue Integration feature enabled.

  - `invoices.invoiceItems.amount` (number, required)
    The amount of the invoice item.
- For tax-inclusive invoice items, the amount indicates the invoice item amount including tax.
- For tax-exclusive invoice items, the amount indicates the invoice item amount excluding tax.

  - `invoices.invoiceItems.bookingReference` (string)
    The booking reference of the invoice item.

  - `invoices.invoiceItems.chargeDate` (string)
    The date when the invoice item is charged, in `yyyy-mm-dd hh:mm:ss` format.

  - `invoices.invoiceItems.chargeName` (string)
    The name of the charge associated with the invoice item.
This field is required if the `productRatePlanChargeId` field is not specified in the request.

  - `invoices.invoiceItems.contractAssetAccountingCode` (string)
    The accounting code for contract asset.
**Note**: This field is only available if you have the Billing - Revenue Integration feature enabled.

  - `invoices.invoiceItems.contractLiabilityAccountingCode` (string)
    The accounting code for contract liability.
**Note**: This field is only available if you have the Billing - Revenue Integration feature enabled.

  - `invoices.invoiceItems.contractRecognizedRevenueAccountingCode` (string)
    The accounting code for contract recognized revenue.
**Note**: This field is only available if you have the Billing - Revenue Integration feature enabled.

  - `invoices.invoiceItems.deferredRevenueAccountingCode` (string)
    The accounting code for the deferred revenue, such as Monthly Recurring Liability.
**Note:** This field is only available if you have Zuora Finance enabled.

  - `invoices.invoiceItems.description` (string)
    The description of the invoice item.

  - `invoices.invoiceItems.discountItems` (array)
    Container for discount items. The maximum number of discount items is 10.

  - `invoices.invoiceItems.discountItems.accountingCode` (string)
    The accounting code associated with the discount item.

  - `invoices.invoiceItems.discountItems.accountsReceivableAccountingCode` (string)
    The accounting code for accounts receivable.

  - `invoices.invoiceItems.discountItems.adjustmentLiabilityAccountingCode` (string)
    The accounting code for adjustment liability.
**Note**: This field is only available if you have the Billing - Revenue Integration feature enabled.

  - `invoices.invoiceItems.discountItems.adjustmentRevenueAccountingCode` (string)
    The accounting code for adjustment revenue.
**Note**: This field is only available if you have the Billing - Revenue Integration feature enabled.

  - `invoices.invoiceItems.discountItems.amount` (number, required)
    The amount of the discount item.
- Should be a negative number. For example, `-10`.
- Always a fixed amount no matter whether the discount charge associated with the discount item uses the [fixed-amount model or percentage model](https://docs.zuora.com?resourceId=billing-fixed-amount-model-and-percentage-model).
- For tax-exclusive discount items, this amount indicates the discount item amount excluding tax.
- For tax-inclusive discount items, this amount indicates the discount item amount including tax.

  - `invoices.invoiceItems.discountItems.bookingReference` (string)
    The booking reference of the discount item.

  - `invoices.invoiceItems.discountItems.chargeDate` (string)
    The date when the discount item is charged, in `yyyy-mm-dd hh:mm:ss` format.

  - `invoices.invoiceItems.discountItems.chargeName` (string)
    The name of the charge associated with the discount item.
This field is required if the `productRatePlanChargeId` field is not specified in the request body.

  - `invoices.invoiceItems.discountItems.contractAssetAccountingCode` (string)
    The accounting code for contract asset.
**Note**: This field is only available if you have the Billing - Revenue Integration feature enabled.

  - `invoices.invoiceItems.discountItems.contractLiabilityAccountingCode` (string)
    The accounting code for contract liability.
**Note**: This field is only available if you have the Billing - Revenue Integration feature enabled.

  - `invoices.invoiceItems.discountItems.contractRecognizedRevenueAccountingCode` (string)
    The accounting code for contract recognized revenue.
**Note**: This field is only available if you have the Billing - Revenue Integration feature enabled.

  - `invoices.invoiceItems.discountItems.deferredRevenueAccountingCode` (string)
    The accounting code for the deferred revenue, such as Monthly Recurring Liability.
**Note:** This field is only available if you have Zuora Finance enabled.

  - `invoices.invoiceItems.discountItems.description` (string)
    The description of the discount item.

  - `invoices.invoiceItems.discountItems.itemType` (string)
    The type of the discount item.

  - `invoices.invoiceItems.discountItems.productRatePlanChargeId` (string)
    The ID of the product rate plan charge that the discount item is created from.
If you specify a value for the `productRatePlanChargeId` field in the request, Zuora directly copies the values of the following fields from the corresponding product rate plan charge, regardless of the values specified in the request body:
- `chargeName`
- `sku`

If you specify a value for the `productRatePlanChargeId` field in the request, Zuora directly copies the values of the following fields from the corresponding discount charge that [uses discount specific accounting codes, rule and segment to manage revenue](https://docs.zuora.com?resourceId=billing-use-discount-specific-accounting-codes-rules-and-segments-to-manage-revenue), regardless of the values specified in the request body:
- `accountingCode`
- `deferredRevenueAccountingCode`
- `recognizedRevenueAccountingCode`

If you specify a value for the `productRatePlanChargeId` field in the request, Zuora directly copies the values of the following fields from the corresponding invoice item charge if the discount charge DOES NOT [use discount specific accounting codes, rule and segment to manage revenue](https://docs.zuora.com?resourceId=billing-use-discount-specific-accounting-codes-rules-and-segments-to-manage-revenue), regardless of the values specified in the request body:
- `accountingCode`
- `deferredRevenueAccountingCode`
- `recognizedRevenueAccountingCode`

  - `invoices.invoiceItems.discountItems.purchaseOrderNumber` (string)
    The purchase order number associated with the discount item.

  - `invoices.invoiceItems.discountItems.recognizedRevenueAccountingCode` (string)
    The accounting code for the recognized revenue, such as Monthly Recurring Charges or Overage Charges.
**Note:** This field is only available if you have Zuora Finance enabled.

  - `invoices.invoiceItems.discountItems.revRecCode` (string)
    The revenue recognition code.

  - `invoices.invoiceItems.discountItems.revRecTriggerCondition` (string)
    The date when revenue recognition is triggered.
    Enum: "ContractEffectiveDate", "ServiceActivationDate", "CustomerAcceptanceDate"

  - `invoices.invoiceItems.discountItems.revenueRecognitionRuleName` (string)
    The name of the revenue recognition rule governing the revenue schedule.
**Note:** This field is only available if you have Zuora Finance enabled.

  - `invoices.invoiceItems.discountItems.sku` (string)
    The SKU of the invoice item. The SKU of the discount item must be different from the SKU of any existing product.

  - `invoices.invoiceItems.discountItems.taxItems` (array)
    Container for taxation items. The maximum number of taxation items is 5.
**Note**: This field is only available only if you have Taxation enabled.

  - `invoices.invoiceItems.discountItems.taxItems.exemptAmount` (string)
    The calculated tax amount excluded due to the exemption.

  - `invoices.invoiceItems.discountItems.taxItems.jurisdiction` (string)
    The jurisdiction that applies the tax or VAT. This value is typically a state, province, county, or city.

  - `invoices.invoiceItems.discountItems.taxItems.locationCode` (string)
    The identifier for the location based on the value of the `taxCode` field.

  - `invoices.invoiceItems.discountItems.taxItems.name` (string, required)
    The name of taxation.

  - `invoices.invoiceItems.discountItems.taxItems.taxAmount` (string, required)
    The amount of the taxation item in the invoice item.

  - `invoices.invoiceItems.discountItems.taxItems.taxCode` (string)
    The tax code identifies which tax rules and tax rates to apply to a specific invoice item.

  - `invoices.invoiceItems.discountItems.taxItems.taxCodeDescription` (string)
    The description of the tax code.

  - `invoices.invoiceItems.discountItems.taxItems.taxDate` (string, required)
    The date that the tax is applied to the invoice item, in `yyyy-mm-dd` format.

  - `invoices.invoiceItems.discountItems.taxItems.taxMode` (string, required)
    The tax mode of the invoice item, indicating whether the amount of the invoice item includes tax.
    Enum: "TaxInclusive", "TaxExclusive"

  - `invoices.invoiceItems.discountItems.taxItems.taxRate` (string, required)
    The tax rate applied to the invoice item.

  - `invoices.invoiceItems.discountItems.taxItems.taxRateDescription` (string)
    The description of the tax rate.

  - `invoices.invoiceItems.discountItems.taxItems.taxRateType` (string, required)
    The type of the tax rate applied to the invoice item.
    Enum: "Percentage", "FlatFee"

  - `invoices.invoiceItems.discountItems.unbilledReceivablesAccountingCode` (string)
    The accounting code for unbilled receivables.
**Note**: This field is only available if you have the Billing - Revenue Integration feature enabled.

  - `invoices.invoiceItems.discountItems.unitPrice` (number)
    The per-unit price of the discount item.
If the discount charge associated with the discount item uses the percentage model, the unit price will display as a percentage amount in PDF. For example: if unit price is 5.00, it will display as 5.00% in PDF.

  - `invoices.invoiceItems.discountItems.IntegrationId__NS` (string)
    ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).

  - `invoices.invoiceItems.discountItems.IntegrationStatus__NS` (string)
    Status of the invoice item's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).

  - `invoices.invoiceItems.discountItems.SyncDate__NS` (string)
    Date when the invoice item was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).

  - `invoices.invoiceItems.excludeItemBillingFromRevenueAccounting` (boolean)
    The flag to exclude the invoice item from revenue accounting.
**Note**: This field is only available if you have the Billing - Revenue Integration feature enabled.

  - `invoices.invoiceItems.itemType` (string)
    The type of the invoice item.

  - `invoices.invoiceItems.productRatePlanChargeId` (string)
    The ID of the product rate plan charge that the invoice item is created from.
You must have the **Create Standalone Invoice With Product Catalog** permission to create an invoice item from an existing charge.
If you specify a value for the `productRatePlanChargeId` field in the request, Zuora directly copies the values of the following fields from the corresponding product rate plan charge, regardless of the values specified in the request body:
- `chargeName`
- `sku`
- `uom`
- `taxCode`
- `taxMode`
- `accountingCode`
- `deferredRevenueAccountingCode`
- `recognizedRevenueAccountingCode`

  - `invoices.invoiceItems.purchaseOrderNumber` (string)
    The purchase order number associated with the invoice item.

  - `invoices.invoiceItems.quantity` (number)
    The number of units for the invoice item.

  - `invoices.invoiceItems.recognizedRevenueAccountingCode` (string)
    The accounting code for the recognized revenue, such as Monthly Recurring Charges or Overage Charges.
**Note:** This field is only available if you have Zuora Finance enabled.

  - `invoices.invoiceItems.revRecCode` (string)
    The revenue recognition code.

  - `invoices.invoiceItems.revRecTriggerCondition` (string)
    The date when revenue recognition is triggered.
    Enum: "ContractEffectiveDate", "ServiceActivationDate", "CustomerAcceptanceDate"

  - `invoices.invoiceItems.revRecStartDate` (string)
    The start date for revenue recognition.
When creating a standalone invoice, if you do not specify a value for this field,
Zuora sets it to the invoice item's service-period start date. If you specify a value
when creating or updating an invoice through the REST API, Zuora uses the specified value.
**Note:** This field is only available if you have Zuora Finance enabled.
    Example: 2026-01-15

  - `invoices.invoiceItems.revenueRecognitionRuleName` (string)
    The name of the revenue recognition rule governing the revenue schedule.
**Note:** This field is only available if you have Zuora Finance enabled.

  - `invoices.invoiceItems.serviceEndDate` (string)
    The service end date of the invoice item.

  - `invoices.invoiceItems.serviceStartDate` (string, required)
    The service start date of the invoice item.

  - `invoices.invoiceItems.sku` (string)
    The SKU of the invoice item. The SKU of the invoice item must be different from the SKU of any existing product.

  - `invoices.invoiceItems.taxCode` (string)
    The tax code identifies which tax rules and tax rates to apply to the invoice item.
**Note**: This field is only available only if you have Taxation enabled.

  - `invoices.invoiceItems.taxItems` (array)
    Container for taxation items. The maximum number of taxation items is 7.
**Note**: This field is only available only if you have Taxation enabled.

  - `invoices.invoiceItems.taxMode` (string)
    The tax mode of the invoice item, indicating whether the amount of the invoice item includes tax.
**Note**: This field is only available only if you have Taxation enabled.
    Enum: "TaxInclusive", "TaxExclusive"

  - `invoices.invoiceItems.unbilledReceivablesAccountingCode` (string)
    The accounting code for unbilled receivables.
**Note**: This field is only available if you have the Billing - Revenue Integration feature enabled.

  - `invoices.invoiceItems.unitPrice` (number)
    The per-unit price of the invoice item. To pass Level 3 data to the gateway, this field is required and must be greater than zero.

  - `invoices.invoiceItems.uom` (string)
    The unit of measure.

  - `invoices.invoiceItems.IntegrationId__NS` (string)
    ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).

  - `invoices.invoiceItems.IntegrationStatus__NS` (string)
    Status of the invoice item's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).

  - `invoices.invoiceItems.SyncDate__NS` (string)
    Date when the invoice item was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).

  - `invoices.invoiceNumber` (string)
    A customized invoice number with the following format requirements:
- Max length: 32 characters
- Acceptable characters: a-z,A-Z,0-9,-,_,

Purely numerical prefixes or prefixes ending with a number are supported for standalone invoices. For example, you can use `202310000300`, `2003`, `INV202310000300`, or `2023-09-100009785` as invoice numbers.
The value must be unique in the system, otherwise it may cause issues with bill runs and subscribe/amend. Check out [things to note and troubleshooting steps](https://docs.zuora.com?resourceId=billing-invoice-number-customization).

  - `invoices.paymentTerm` (string)
    The ID or name of the payment term associated with the invoice. For example, `Net 30`. The payment term determines the due dates of invoices.
**Note**: If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body.

  - `invoices.sequenceSet` (string)
    The ID or name of the sequence set associated with the invoice.
**Note**: If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body.

  - `invoices.shipToContactId` (string)
    The ID of the ship-to contact associated with the invoice. This field is mutually exclusive with the `shipToContact` field.
**Note**: If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body.

  - `invoices.shipToSameAsBillTo` (boolean)
    Whether the ship-to contact and bill-to contact are the same entity. This field is mutually exclusive with the `shipToContact` and `shipToContactId` fields.
The created invoice has the same bill-to contact and ship-to contact entity only when all the following conditions are met in the request body:
- This field is set to `true`.
- A bill-to contact or bill-to contact ID is specified.
- Neither ship-to contact nor ship-to contact ID is specified.

**Note**: If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body.

  - `invoices.soldToContactId` (string)
    The ID of the sold-to contact associated with the invoice. This field is mutually exclusive with the `soldToContact` field.
**Note**: If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body.

  - `invoices.soldToSameAsBillTo` (boolean)
    Whether the sold-to contact and bill-to contact are the same entity. This field is mutually exclusive with the `soldToContact` and `soldToContactId` fields.
The created invoice has the same bill-to contact and sold-to contact entity only when all the following conditions are met in the request body:
- This field is set to `true`.
- A bill-to contact or bill-to contact ID is specified.
- Neither sold-to contact nor sold-to contact ID is specified.

**Note**: If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body.

  - `invoices.status` (string)
    The status of invoice. By default, the invoice status is Draft.
When creating an invoice, if you set this field to `Posted`, the invoice is created and posted directly.
    Enum: "Draft", "Posted"

  - `invoices.templateId` (string)
    The ID of the invoice template associated with the invoice.
**Note**: If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body.

  - `invoices.transferredToAccounting` (string)
    Enum: "Processing", "Error", "Ignore", "Yes", "No"

  - `invoices.IntegrationId__NS` (string)
    ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).

  - `invoices.IntegrationStatus__NS` (string)
    Status of the invoice's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).

  - `invoices.SyncDate__NS` (string)
    Date when the invoice was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).

  - `useSingleTransaction` (boolean)
    Whether a batch request is handled with a single transaction.
- `true` indicates that a batch request will be handled with a single transaction.
- `false`  indicates that the standalone invoices to be created in a batch request will be handled with separated transactions.

If the field is set to `false`, a failure in the batch request will not cause the whole request to fail, so you have to retry the whole batch request.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `invoices` (array)

  - `invoices.success` (boolean)
    Indicates whether the invoice is created successfully.

  - `success` (boolean)
    Indicates whether the call succeeded.

## Response 200 headers (application/json):

  - `Content-Encoding` (string)
    This header is returned if you specify the `Accept-Encoding: gzip` request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
- `application/json`
- `application/xml`
- `text/html`
- `text/csv`
- `text/plain`

  - `RateLimit-Limit` (string)
    The request limit quota for the time window closest to exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Remaining` (number)
    The number of requests remaining in the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Reset` (number)
    The number of seconds until the quota resets for the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `Zuora-Request-Id` (string)
    The Zuora internal identifier of the API call. You cannot control the value of this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. 
If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. 
Otherwise, Zuora does not set this header.

  - `Concurrency-Limit-Type` (string)
    The type of the concurrency limit, which can be `Default`, `High-volume transactions`, or `Object Query`.
For more information, see [Concurrent request limits](https://developer.zuora.com/docs/guides/rate-limits/#concurrent-request-limits).

  - `Concurrency-Limit-Limit` (integer)
    The total number of the permitted concurrent requests.
For more information, see [Concurrent request limits](https://developer.zuora.com/docs/guides/rate-limits/#concurrent-request-limits).

  - `Concurrency-Limit-Remaining` (integer)
    The remaining number of the permitted concurrent requests.
For more information, see [Concurrent request limits](https://developer.zuora.com/docs/guides/rate-limits/#concurrent-request-limits).

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `reasons` (array)

  - `reasons.code` (string)
    The error code of response.

  - `reasons.message` (string)
    The detail information of the error response

## Response 500 headers (application/json):

  - `Content-Encoding` (string)
    This header is returned if you specify the `Accept-Encoding: gzip` request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
- `application/json`
- `application/xml`
- `text/html`
- `text/csv`
- `text/plain`

  - `RateLimit-Limit` (string)
    The request limit quota for the time window closest to exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Remaining` (number)
    The number of requests remaining in the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Reset` (number)
    The number of seconds until the quota resets for the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `Zuora-Request-Id` (string)
    The Zuora internal identifier of the API call. 
You cannot control the value of this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. 
If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. 
Otherwise, Zuora does not set this header.

## Response 4XX:

  - `4XX` (unknown)
    Request Errors

## Response 4XX fields (application/json):

  - `processId` (string)
    The ID of the process that handles the operation.

  - `reasons` (array)
    The container of the error code and message. This field is available only if the `success` field is `false`.

  - `reasons.code` (string)
    The error code of response.

  - `reasons.message` (string)
    The detail information of the error response

  - `requestId` (string)
    Unique identifier of the request.

  - `success` (boolean)
    Indicates whether the call succeeded.

## Response 4XX headers (application/json):

  - `Content-Encoding` (string)
    This header is returned if you specify the `Accept-Encoding: gzip` request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
- `application/json`
- `application/xml`
- `text/html`
- `text/csv`
- `text/plain`

  - `RateLimit-Limit` (string)
    The request limit quota for the time window closest to exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Remaining` (number)
    The number of requests remaining in the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Reset` (number)
    The number of seconds until the quota resets for the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `Zuora-Request-Id` (string)
    The Zuora internal identifier of the API call. 
You cannot control the value of this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. 
If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. 
Otherwise, Zuora does not set this header.

## Response 200 examples:

  - `response` (unknown)

## Response 500 examples:

  - `response` (unknown)

## Response 4XX examples:

  - `response` (unknown)

